Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{project_id}
/
search
/
query-fan-out
Query Fan-Out
curl --request GET \
  --url https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{project_id}/search/query-fan-out \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "text": "<string>",
      "keyword_text": "<string>",
      "keyword_id": "<string>",
      "query_fan_out_id": "<string>",
      "urls": [
        "<string>"
      ],
      "stability_index": [
        {
          "collect_id": "<string>",
          "present": true,
          "order": 123
        }
      ],
      "intents": [
        {}
      ],
      "keyword_score": {
        "value": 123,
        "prev_value": 123,
        "unit": "<string>"
      },
      "keyword_type": "<string>",
      "keyword_persona_id": "<string>",
      "keyword_funnel_stage": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required
workspace_id
string
required
project_id
string
required

Query Parameters

intent_groups
enum<string>[] | null
Available options:
DECISION_MAKING,
COMPARATIVE,
EXPLORATORY,
PRODUCT_SPECS,
SOCIAL_PROOF,
UNKNOWN
intent_sub_groups
enum<string>[] | null
Available options:
BUYER_GUIDE,
PRICING,
VALUE_FOR_MONEY,
BEST_FOR_PERSONA,
COMPARISON,
X_VS_Y,
ALTERNATIVES,
PROS_CONS,
TOP_LISTS,
DEFINITION,
HOW_IT_WORKS,
PITFALLS,
GLOSSARY,
TECHNICAL_SPECS,
FEATURE_LISTS,
COMPATIBILITY,
PERFORMANCE_METRICS,
REVIEWS,
EXPERT_OPINION,
TRENDS,
CASE_STUDIES,
UNKNOWN
keyword_ids
string[] | null

Filter by keyword IDs

page
integer
default:1
Required range: x >= 1
page_size
integer
default:20
Required range: 1 <= x <= 100
search_query
string | null
sort_column
enum<string>
Available options:
text,
keyword_text,
source,
domain_presence,
intent_sub_group,
nb_urls,
stability_index
sort_direction
enum<string>
Available options:
asc,
desc
group_by
enum<string>
default:default
Available options:
default,
keyword,
query_fan_out
date_start
string<date>
required

Start of the date range (YYYY-MM-DD)

date_end
string<date> | null

End of the date range (YYYY-MM-DD). Defaults to end of period containing date_start.

period
enum<string>
default:week

Aggregation period: day, week, month, or year

Available options:
day,
week,
month,
year
sources
enum<string>[] | null
Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
thematics
string<uuid>[] | null

Filter by a list of thematic IDs

keyword_type
enum<string>[] | null

Filter by a list of keyword types

Available options:
Generic,
Brand
funnel_stages
enum<string>[] | null

Filter by a list of Funnel Stages

Available options:
ToFu,
MoFu,
BoFu
persona_ids
string[] | null

Filter by a list of persona IDs

topic_ids
string[] | null

Filter by a list of topic IDs

get_neutrals
boolean | null

Filter by to get results related to neutral prompts, without weakness or strength

strength_ids
string[] | null

Filter by a list of strength IDs

weakness_ids
string[] | null

Filter by a list of weakness IDs

Response

Successful Response

data
AggregatedQueryFanOutItemResponse · object[]
required

Items for the current page.

pagination
Pagination · object
required

Pagination metadata.